Skip to content
Docs

HELOC Inquiries/Inquiries

Retrieve borrower costs

GET/products/heloc/v1/inquiry/{appUuid}/borrower-costs
Request
curl -X GET \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/borrower-costs?offerUuid={offerUuid}&selectedOfferAmount={selectedOfferAmount}" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • appUuidstringRequired

Query parameters

  • offerUuidstringRequired
  • selectedOfferAmountnumberRequired

Responses

200OKobject

  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
  • costsobject
    ShowHide 3 attributes of costs
    • fixedCostsarray of objects
      ShowHide 2 attributes of fixedCosts
      • typeenumRequired
        One ofNOTARY_FEERECORDING_TAXRECORDING_FEETITLE_FEEBPO_FEEDRIVE_BY_VALUATION_FEEONSITE_APPRAISAL_FEE
      • borrowerPaidAmountnumber
    • dynamicCostsarray of objects
      ShowHide 2 attributes of dynamicCosts
      • typeenumRequired
        One ofNOTARY_FEERECORDING_TAXRECORDING_FEETITLE_FEEBPO_FEEDRIVE_BY_VALUATION_FEEONSITE_APPRAISAL_FEE
      • borrowerPaidAmountnumber
    • totalPaidByBorrowernumber
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ],
  "costs": {
    "fixedCosts": [
      {
        "type": "NOTARY_FEE",
        "borrowerPaidAmount": 0
      }
    ],
    "dynamicCosts": [
      {
        "type": "NOTARY_FEE",
        "borrowerPaidAmount": 0
      }
    ],
    "totalPaidByBorrower": 0
  }
}